# Upload a document

**POST** `/documents`

To upload a file to Column, you will need to send a request with `Content-Type: multipart/form-data`. The request should contain the file you would like to upload, as well as other metadata.

### Body Parameters

- `description` `string` — A description of the document. Maximum 127 characters.
- `file` `file` _(required)_ — The file to upload. The request must use `multipart/form-data` encoding.
- `tag` `string` — A tag for the document. Maximum 255 characters.
- `type` `string` _(required)_ — The document type. Possible values:`identity_license` — Driver's license or state ID
  `identity_passport` — Passport
  `identity_utility` — Utility bill
  `bank_transaction_report` — Bank transaction report
  `bank_summary_report` — Bank summary report
  `dda_agreement` — Demand deposit account agreement
  `other` — Other document type
  `w9` — IRS Form W-9
  `irs_letter` — IRS letter
  `check_attachment` — Check attachment
  `monthly_statement` — Monthly statement
  `daily_statement` — Daily statement
  `bank_interest_report` — Bank interest report
  `daily_loan_tape` — Daily loan tape
  `daily_originations_activity` — Daily originations activity
  `daily_transaction_activity` — Daily transaction activity
  `receivable_purchases` — Receivable purchases
  `monthly_applications` — Monthly applications
  `monthly_loan_reporting` — Monthly loan reporting
  `network_settlement_file` — Network settlement file
  `bank_statement` — Bank statement
  `certificate_of_business_formation` — Certificate of business formation
  `company_bylaws_or_agreements` — Company bylaws or operating agreements
  `certificate_of_good_standing` — Certificate of good standing
  `active_status_certificate` — Active status certificate
  `ownership_structure` — Ownership structure document
  `ein_confirmation` — EIN confirmation
  `business_license_or_permit` — Business license or permit
  `source_of_funds_document` — Source of funds document
  `source_of_wealth_document` — Source of wealth document
  `screenshot` — Screenshot
  `loan_daily_summary` — Loan daily summary
  `complete_customer_file` — Complete customer file
  `1099_int` — IRS Form 1099-INT

**Request**

```shell
curl 'https://api.column.com/documents' \
  -u :<YOUR API KEY> \
  -F file=@<YOUR FILE> \
  -F type="identity_license"
```

**Response 200**

```jsonc
{
  "checksum": "f58b9e7dda62420b6c016ed71ff5d6b224437ec74ace972a333622e1de8bbfdf",
  "created_at": "2022-03-03T22:47:33Z",
  "description": "",
  "id": "docu_25tY3k5619LebLZNk4EcN1a9Zka",
  "size": 422989,
  "type": "identity_license",
  "updated_at": "2022-03-03T22:47:33Z",
  "url": "https://bucket.s3.us-west-2.amazonaws.com/..."
}
```
